Summary: Tools for managing a frame buffer's video mode properties.
Name: fbset
Version: 2.1
Release: 13.XOS.1
Copyright: GPL
Group: Applications/System
Source: http://www.cs.kuleuven.ac.be/~geert/bin/fbset-2.1.tar.gz
Patch0: fbset-2.1-makefile.patch
Patch1: fbset-2.1-fixmode.patch
BuildRoot: %{_tmppath}/%{name}-root
ExcludeArch: s390 s390x

%description
Fbset is a utility for maintaining frame buffer resolutions.  Fbset
can change the video mode properties of a frame buffer device, and is
usually used to change the current video mode.

Install fbset if you need to manage frame buffer resolutions.

%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p1 -b .fixmode

%build
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man[58]/*
%config	%{_sysconfdir}/fb.modes

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 2.1-13.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on fbset-2.1-13.src.rpm
  (md5sum of original source rpm: 667f3e570cb5a79b0fe2d41422f58fb5).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 2.1-12
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Fri Feb 23 2001 Preston Brown <pbrown@redhat.com>
- fix 1024x768 72 Hz mode (#29024)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Tue Feb 15 2000 Bill Nottingham <notting@redhat.com>
- ship fb.modes everywhere

* Fri Feb  4 2000 Bill Nottingham <notting@redhat.com>
- fix man page permissions

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix summary

* Thu Oct  7 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1
- don't include fb devs.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- include fb devs too (#1515)
- update to 19990118 version.

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.
- upgrade to 19981104.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
